# DataStructures::StringKeyedHash< data_type, HASH_SIZE > Class Template Reference

Using a string as a identifier for a node, store an allocated pointer to that node. More...

`#include <DS_StringKeyedHash.h>`

List of all members.

## Public Member Functions
| StringKeyedHash ()
| Default constructor.
void | Clear (const char *file, unsigned int line)
| Clear the list.

## Detailed Description

### template<class data_type, unsigned int HASH_SIZE>
class DataStructures::StringKeyedHash< data_type, HASH_SIZE >

Using a string as a identifier for a node, store an allocated pointer to that node.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/Source/DS_StringKeyedHash.h